Bug Hunting Session
Bug 56609 - Chart with merged labels row needs non-numeric second line
Summary: Chart with merged labels row needs non-numeric second line
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Labels
  Show dependency treegraph
 
Reported: 2012-10-31 10:56 UTC by mahfiaz
Modified: 2019-03-30 17:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example spreadsheet which shows the "correct" case. (14.79 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-31 10:56 UTC, mahfiaz
Details
Example spreadsheet showing the incorrect behavior (14.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-04-19 11:06 UTC, mahfiaz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mahfiaz 2012-10-31 10:56:56 UTC
Created attachment 69348 [details]
Example spreadsheet which shows the "correct" case.

1. Try to create a chart with two label lines, one having merged cells, the other not (please see the attached file).
2. If the second not-merged line contains numbers it is counted as usual data line although the first line has merged cells.

To expose the problem:
1. Change the second row to regular numbers (as opposed to strings which they are now, that would be without preceding apostrophe ')
2. Try to create a new chart from the same dataset.
or (that one which annoys me)
3. Copy the cart to Writer, the chart gets recreated there and the second line is not used at all, merged line is used as regular one.

The only two workaround are to use strictly text values (either with preceding apostrophe ' or marking these cells as text cells) or to copy it to Writer as GDI object (which has drawbacks).

Sorry for the poor summary and description, the matter is somewhat complex to describe. If there is anything that needs clarification, please let me know.

Please see the attached file as well.

Other than that LibreOffice is quite awesome :)
Comment 1 A (Andy) 2012-12-24 18:06:15 UTC
reproducible with LO 3.6.4.3. (Win7 Home, 64bit) in this way that if the second line is a number the chart is shown correctly in CALC, but if copied to WRITER the second line gets lost
Comment 2 QA Administrators 2015-04-19 03:20:54 UTC Comment hidden (obsolete)
Comment 3 mahfiaz 2015-04-19 07:03:28 UTC
It's still the case in 4.4.3.

Here is how MSO Excel deals with this: see the example document, if the first row contains merged cells and A2 is empty, the second row must be the header as well.
Comment 4 mahfiaz 2015-04-19 11:06:51 UTC
Created attachment 114906 [details]
Example spreadsheet showing the incorrect behavior
Comment 5 Yousuf Philips (jay) (retired) 2015-04-19 17:15:38 UTC
So from what i can see is that when row 2 has numbers in it rather than text, it doesnt detect it correctly in the creation of the chart.
Comment 6 mahfiaz 2016-04-16 08:04:35 UTC Comment hidden (no-value)
Comment 7 QA Administrators 2017-05-22 13:23:22 UTC Comment hidden (no-value, obsolete)
Comment 8 mahfiaz 2019-03-30 17:36:07 UTC
Still an issue in 6.2.2.2